Bug 222190 - games/pokerth: fails to build with boost 1.65 on i386
Summary: games/pokerth: fails to build with boost 1.65 on i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: needs-patch
Depends on:
Blocks: 220714
  Show dependency treegraph
 
Reported: 2017-09-10 12:26 UTC by Jan Beich
Modified: 2017-09-18 14:04 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-09-10 12:26:26 UTC
src/gui/qt/gametable/gametableimpl.cpp:3862:3: error: call to 'advance' is ambiguous
                advance(pos, id);
                ^~~~~~~
/usr/include/c++/v1/iterator:483:6: note: candidate function [with _InputIter = std::__1::__list_iterator<boost::shared_ptr<PlayerInterface>, void *>]
void advance(_InputIter& __i,
     ^
/usr/local/include/boost/iterator/advance.hpp:68:9: note: candidate function [with InputIterator = std::__1::__list_iterator<boost::shared_ptr<PlayerInterface>, void *>, Distance = int]
        advance(InputIterator& it, Distance n)
        ^

http://package18.nyi.freebsd.org/data/103i386-default-PR220714/2017-09-10_08h14m47s/logs/errors/pokerth-1.1.1_15.log
Comment 1 Guido Falsi freebsd_committer 2017-09-11 10:21:35 UTC
Not being a C++ expert I'm not sure what is the right solution.

is is an int, not what is expected by base iterator interface, so it should choose the boost version of the fuinction.

Maybe an explicit cast to int would fix the ambiguity.

I'll send a patch for the port for you to test. Just give me a little time.
Comment 2 commit-hook freebsd_committer 2017-09-18 14:04:13 UTC
A commit references this bug:

Author: madpilot
Date: Mon Sep 18 14:04:06 UTC 2017
New revision: 450041
URL: https://svnweb.freebsd.org/changeset/ports/450041

Log:
  - Fix build failure with new boot version 1.65
  - While here, regenerate some patches

  PR:		222190
  Submitted by:	jbeich@

Changes:
  head/games/pokerth/files/patch-pokerth_game.pro
  head/games/pokerth/files/patch-pokerth_server.pro
  head/games/pokerth/files/patch-src_engine_log.h
  head/games/pokerth/files/patch-src_gui_qt_gametable_gametableimpl.cpp
  head/games/pokerth/files/patch-src_net_common_ircthread.cpp
Comment 3 Guido Falsi freebsd_committer 2017-09-18 14:04:48 UTC
Committed a fox, tested on my own poudriere machine with new boost.

Thanks for reporting.